.ig
state-sync.man

Last update: 01 September 2006

Copyright (C) 2005-2009 Avuton Olrich <avuton@gmail.com>

Permission is granted to copy, distribute and/or modify this document
under the terms of the GNU Free Documentation License, Version 1.1 or
any later version published by the Free Software Foundation; with the
Invariant Sections being this .ig-section and AUTHOR, with no
Front-Cover Texts, and with no Back-Cover Texts.

A copy of the Free Documentation License is included as a file called
FDL in the main directory of the state-utils source package.
..
.
.\" --------------------------------------------------------------------
.\" Setup
.\" --------------------------------------------------------------------
.
.do 
.TH "state-sync" 1
.SH "NAME"
state\-sync \- Program for syncronizing the state of multiple Music Player Daemons (MPD)
.SH "SYNOPSIS"
state\-sync
.RI [ <password@origin-host:origin-port> <password@destination-host:destination-port> ]
.B .. 
.SH "DESCRIPTION"
state\-sync is a client for MPD which syncronizes multiple MPD clients. It is not meant to sync accurately to the second, but more to put things near the same place.

.SH "ARGUMENTS"
.TP
This section describes the argument.
.br
.RI [ <pass@origin-host:origin-port> <pass@destination-host1:destination-port1> ... ]
the origin host/port are in the first argument, every argument afterwards is synced with the origin.

.br
  There can be mutiple values separated by spaces.

.SH "ENVIRONMENT"
.TP
This is how to configure state-sync for the origin MPD to take the state from.
.br
.B MPD_HOST
.br
.B MPD_PORT
.br
		By default, state-amend connects to localhost:6600. This can be changed either
.br
		  at compile-time, or by exporting the MPD_HOST and MPD_PORT environment variables.
.br
		To use a password with mpd, set MPD_HOST to password@host.
.SH "EXAMPLES"
.TP
A quick example.
.br
state-sync password1@origin:6600 password2@destination:6600
.SH "BUGS"
This doesn't save a few different things which aren't available via the MPD protocol.
.br
\- Any *ids such as playlistid
.br
\- Random, if a playlist was ordered and any part of the playlist has been previously
.br
  been played through the songs that have played in the previous state will be replayed.
.br
\- Random will not play in order as the other server.
.br
\- The databases must be up-to-date, and identical, otherwise the syncronization will fail.
.br
\- Bash completion script doesn't yet work with spaces.
.br
\- May not deal well with errors. This may change in the future.
.br
\- The sync will never be exact, it will be anywhere from 10msec to a second initially, optimally, this is due to limitations of the protocol, well beyond the control of this program. Please contact the maintainer if you have an idea of how to improve the initial latency.
.SH "AUTHOR"
Avuton Olrich <avuton@gmail.com>
